package com.brilliance.isc.mda.dao;


import com.brilliance.isc.bo.Cfaerr;
import com.brilliance.isc.bo.Cfaerrsel;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface CfaerrMapper {

    int insert(Cfaerr record);

    int insertSelective(Cfaerr record);

    int updateByPrimaryKeySelective(Cfaerr record);

    int updateByPrimaryKey(Cfaerr record);

    int deleteByPrimaryKey(Cfaerr record);

    int deleteByIds(Collection<Object> collection);

    Cfaerr selectByPrimaryKey(Cfaerr record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Cfaerr> dyncRead(Map<String,Object> dyncMap);

    //根据申报号码查询更新
    Cfaerr selectByRptno(String rptno);
    Cfaerr updateByRptno(String rptno);
    //申报错误查询专用-后续优化下-不要动态获取
    List<Cfaerrsel> queryCfaErr(Map<String,Object> dyncMap);
}
